.lang,
.menu-btn {
  width: 32px;
  cursor: pointer;
}
.lang,
.menu-btn,
.nav-close {
  cursor: pointer;
}
.lang,
.nav-close,
.nav-item {
  font-weight: 700;
}
.rtl-text .steps,
body.rtl-text {
  direction: rtl;
}
.btn,
.field-input,
body {
  font-family: Inter, Arial, sans-serif;
}
.btn,
.steps {
  text-transform: uppercase;
}
.footer,
.main {
  max-width: 400px;
}
:root {
  --proggress-text: #b2d158;
  --progress-bg: rgba(0, 0, 0, 0.15);
  --progress-filled: #b2d158;
}
*,
:after,
:before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: 0;
}
body,
html {
}
body {
  background: #fff;
  color: #404040;
  font-size: 14px;
  line-height: 1.18;
  text-align: center;
}
.text-left {
  text-align: left !important;
}
.rtl-text .text-left {
  text-align: right !important;
}
.rtl-text .field-error,
.rtl-text .form-bottom,
.rtl-text .label,
.rtl-text .steps {
  text-align: right;
}
.main {
  margin: 0 auto;
  padding: 60px 24px 0px;
  position: relative;
}
.lang,
.logo,
.menu-btn {
  position: absolute;
}
.menu-btn {
  top: 20px;
  left: 24px;
  padding: 4px;
  margin-bottom: 20px;
}
.menu-btn div {
  height: 4px;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 2px;
}
.menu-btn div + div {
  margin-top: 4px;
}
.lang {
  top: 24px;
  right: 24px;
  color: rgba(0, 0, 0, 0.5);
  font-size: 18px;
  line-height: 28px;
  text-align: center;
}
.logo,
.logo img {
  display: block;
  width: 81px;
  margin: 0 auto;
}
.nav,
.nav-close {
  color: #fff;
  text-align: center;
}
.logo {
  top: 16px;
  left: 60px;
  right: 60px;
  background-image: url("../img/logo.webp");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  height: 6%;
  background-color: #fff;
}
.logo img {
  height: auto;
  background-color: #616161;
}
.nav {
  position: fixed;
  top: 0;
  left: -110%;
  bottom: 0;
  width: 100%;
  background: #b2d158;
  padding: 48px 36px;
  transition: 0.5s;
  z-index: 999;
}
.nav.open {
  left: 0;
}
.nav-close {
  position: absolute;
  top: 24px;
  right: 24px;
  width: 48px;
  height: 48px;
  font-size: 36px;
  line-height: 48px;
}
.load,
.loader-wrapper {
  width: 100%;
  height: 100%;
}
.steps,
.title {
  line-height: 1.18;
}
.nav-item {
  padding: 16px 0;
  font-size: 32px;
}
.nav-item a {
  color: #efefef;
  text-decoration: none;
}
.load {
  display: flex;
  justify-content: center;
  align-items: center;
}
.load-one {
  animation: 1s infinite alternate loading;
}
.load-two {
  animation: 1s 0.2s infinite alternate loading;
}
.load-three {
  animation: 1s 0.4s infinite alternate loading;
}
.load div {
  width: 25px;
  height: 25px;
  background-color: #b2d158;
  margin-left: 5px;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  margin-top: calc(50px - 12.5px);
  animation-name: loading;
  animation-duration: 0.8s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}
@keyframes loading {
  to {
    opacity: 0.7;
    transform: translateY(-25px);
    -webkit-transform: translateY(-25px);
    -moz-transform: translateY(-25px);
    -ms-transform: translateY(-25px);
    -o-transform: translateY(-25px);
  }
}
.loader-wrapper {
  display: none;
  background: rgb(0 0 0 / 75%);
  position: fixed;
  top: 0;
  z-index: 999;
}
.step,
.step:after {
  border-radius: 2px;
  height: 8px;
}
.steps {
  color: #404040;
  font-size: 12px;
  text-align: left;
  margin-bottom: 8px;
}
.steps:after {
  content: "";
  display: table;
  clear: both;
}
.step {
  float: left;
  width: calc(50% - 4px);
  background: rgba(0, 0, 0, 0.1);
  overflow: hidden;
  margin-top: 8px;
}
.step + .step {
  margin-left: 8px;
}
.step:after {
  content: "";
  display: block;
  width: var(--pseudo-width, 5%);
  background: linear-gradient(273.01deg, #b2d158 -8.03%, #70d7b7 69.58% 109.58%);
  transition: width 0.5s;
}
#msisdnerrorTxt {
  color: #f10;
  display: none;
  margin-bottom: 5%;
}
.pinErrTxt {
  display: none;
  color: #f10;
  margin-top: -6%;
  margin-bottom: 4%;
}
.step.filled:after,
.width-transition:after {
  width: 100%;
}
.field-input.green-border {
  border-color: #f10;
}
.step + .step:after {
  content: none;
}
.step.filled + .step:after {
  content: "";
}
.rtl-text .step {
  float: right;
}
.rtl-text .step + .step {
  margin-left: 0;
  margin-right: 8px;
}
.title {
  color: #404040;
  font-size: 26px;
  font-weight: 900;
  margin-bottom: 8px;
}
.webt-icon {
  width: 180px;
  height: 180px;
  margin: 0 auto 10px;
  position: relative;
}
.icon-progress {
  width: 100%;
  height: 100%;
  position: relative;
}
.icon-progress__bg {
  stroke-width: 14px;
  stroke: var(--progress-bg);
  fill: transparent;
}
.webt-icon .progress_arrow {
  width: 120px;
  height: auto;
  opacity: 0;
  transition: 1s;
  animation: 2s ease-in-out infinite bounceUpDown;
}
@keyframes bounceUpDown {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5%);
  }
}
.webt-icon__value {
  color: var(--proggress-text);
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: absolute;
  font-size: 46px;
  font-weight: 600;
  top: 0;
  left: 0;
}
.meter-1 {
  stroke-dasharray: 800;
  stroke-dashoffset: 0;
  stroke: var(--progress-filled);
  stroke-width: 14px;
  fill: transparent;
  animation: 4s ease-out progress-1;
}
@keyframes progress-1 {
  from {
    stroke-dashoffset: 800;
  }
  to {
    stroke-dashoffset: 0;
  }
}
.label {
  font-size: 16px;
  line-height: 1.6;
  margin-bottom: 24px;
  color: #404040;
  text-align: center;
  margin-top: 20px;
}
.field {
  position: relative;
  margin-bottom: 8px;
  -webkit-animation: 1.75s ease-in-out infinite both heartbeat;
  animation: 1.75s ease-in-out infinite both heartbeat;
}
@keyframes heartbeat {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
    transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
    transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
}
.field-input {
  display: block;
  width: 100%;
  height: 64px;
  background: #fff;
  border: 2px solid #b2d158;
  border-radius: 8px;
  padding: 0 38px 0 88px;
  direction: ltr;
  color: #404040;
  font-size: 24px;
  letter-spacing: 2px;
  transition: 0.5s;
}
@media (prefers-color-scheme: dark) {
  .logo {
    background-color: #616161;
  }
}
.field-input.pin {
  padding-left: 26px;
  text-align: center;
  letter-spacing: 16px;
}
.field-input__prefix {
  position: absolute;
  top: 2px;
  left: 0;
  padding-left: 40px;
  color: #404040;
  font-size: 24px;
  line-height: 60px;
  letter-spacing: 2px;
  animation: 3s shake;
  -webkit-animation: 3s shake;
}
.field-icon,
.field-label {
  position: absolute;
  top: 20px;
  pointer-events: none;
  transition: 0.5s;
}
@keyframes shake {
  10%,
  90% {
    transform: translate3d(-1px, 0, 0);
    -webkit-transform: translate3d(-1px, 0, 0);
  }
  20%,
  80% {
    transform: translate3d(2px, 0, 0);
    -webkit-transform: translate3d(2px, 0, 0);
  }
  30%,
  50%,
  70% {
    transform: translate3d(-4px, 0, 0);
    -webkit-transform: translate3d(-4px, 0, 0);
  }
  40%,
  60% {
    transform: translate3d(4px, 0, 0);
    -webkit-transform: translate3d(4px, 0, 0);
  }
}
.field-icon {
  left: 14px;
  fill: #404040;
}
.field-label {
  left: 40px;
  font-size: 24px;
  line-height: 1;
}
.rtl-text .field-label {
  left: auto;
  right: 40px;
}
.field-error {
  color: #ed4700;
  text-align: left;
  margin-top: 8px;
  display: none;
}
.btn,
.has-error ~ .field-error,
.loading.show {
  display: block;
}
.field-input.focus,
.field-input:focus {
  border-color: #b2d158;
}
.field-input:focus ~ .field-input__prefix .field-icon,
.focus .field-icon {
  fill: #b2d158;
}
.field-input:focus ~ .field-label,
.focus ~ .field-label {
  top: -9px;
  left: 32px;
  background: #fff;
  padding: 2px 8px;
  color: #b2d158;
  font-size: 14px;
}
.rtl-text .field-input:focus ~ .field-label,
.rtl-text .focus ~ .field-label,
.rtl-text .has-error ~ .field-label {
  left: auto;
  right: 32px;
}
.field-input.has-error {
  border-color: #ed4700;
}
.has-error ~ .field-icon {
  fill: #ed4700 !important;
}
.has-error ~ .field-label {
  top: -9px;
  left: 32px;
  background: #fff;
  padding: 2px 8px;
  font-size: 14px;
  color: #ed4700 !important;
}
.btn {
  width: 100%;
  height: 60px;
  background: linear-gradient(273.01deg, #b2d158 -8.03%, #70d7b7 69.58% 109.58%);
  border: none;
  border-radius: 8px;
  color: #fff;
  font-size: 24px;
  font-weight: 700;
}
.btn-hint span {
  display: block;
  font-size: 11px;
  font-weight: 400;
  opacity: 0.6;
}
.btn.disabled,
.btn[disabled] {
  background: rgba(0, 0, 0, 0.1);
  color: rgba(0, 0, 0, 0.3);
  box-shadow: none;
}
.form-bottom {
  margin-top: 24px;
  color: #fff;
}
.form-bottom a {
  color: inherit;
  text-decoration: underline;
}
.price {
  padding: 5px 0;
  color: #666;
  font-size: 10px;
  text-align: center;
}
.btn-exit {
  display: inline-block;
  background: rgba(0, 0, 0, 0.15);
  border-radius: 2px;
  padding: 5px;
  color: #000;
  font-size: 10px;
  line-height: 1;
  text-decoration: none;
}
.d-none,
.loading {
  display: none;
}
.btn-exit + .price {
  margin-top: 15px;
  margin-bottom: 0;
  padding-bottom: 0;
}
.footer {
  margin: 25px auto 0;
  color: #9b9999;
  font-size: 12px;
  line-height: 1.6;
  opacity: 0.7;
}
.footer a {
  color: #fff;
}
.footer.hidden {
  padding-top: 50vh;
}
.loading {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: url("../images/loading.svg") center center no-repeat
    rgba(0, 0, 0, 0.8);
}
#msisdninsert.locked {
  opacity: 0.75;
}

.locked-input {
  background: #f3f4f6 !important;
  cursor: not-allowed !important;
}